15 2
Bob Adams 3.45
Jim Bainbridge 3.24
James Calhoun 3.56
Jane Davis 3.88
Sarah Ellen 3.76
Avik Guha 3.82
Josh Hartnett 3.54
Michael Jones 3.61
Sarah Mapp 3.22
Jim Nora 2.89
James Prancer 3.26
Jen Robitaille 3.45
Jason Spencer 3.75
John Williams 3.91
Yancy Yancy 3.87